Module | ActiveSupport::Testing
In: | lib/active_support/testing/default.rb lib/active_support/testing/performance.rb lib/active_support/testing/setup_and_teardown.rb

### Methods

full_test_name included included run run_profile run_test run_warmup run_with_callbacks_and_miniunit run_with_callbacks_and_mocha

### Included Modules

ActiveSupport::Callbacks

### Classes and Modules

Module ActiveSupport::Testing::Metrics
Module ActiveSupport::Testing::Performance
Module ActiveSupport::Testing::SetupAndTeardown
Class ActiveSupport::Testing::Benchmarker
Class ActiveSupport::Testing::Performer
Class ActiveSupport::Testing::Profiler

### Public Class methods

included(base)
included(base)

### Public Instance methods

full_test_name()
run(result) {|self.class::STARTED, name| ...}
run_test(metric, mode)
run_with_callbacks_and_miniunit(runner)
run_with_callbacks_and_mocha(result) {|Test::Unit::TestCase::STARTED, name| ...}

Doubly unfortunate: mocha does the same so we have to hax their hax.

### Protected Instance methods

run_profile(metric)
run_warmup()

[Validate]